
import * as c from "./constants.js"

export const soundPongArr: HTMLAudioElement[] = [];
export const soundRoblox = new Audio("http://localhost:8080/sound/roblox-oof.ogg");

export function initAudio(muteFlag: boolean)
{
	for	(let i = 0; i <= 32; i++) {
		soundPongArr.push(new Audio("http://localhost:8080/sound/pong/"+i+".ogg"));
		soundPongArr[i].volume = c.soundPongVolume;
		soundPongArr[i].muted = muteFlag;
	}
	soundRoblox.volume = c.soundRobloxVolume;
	soundRoblox.muted = muteFlag;
}
